# Create a product

Creates a new product object.

## Request

```curl
curl https://api.stripe.com/v1/products \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-04-30.basil" \
  -d name="Gold Plan"
```

### Response

```json
{
  "id": "prod_NWjs8kKbJWmuuc",
  "object": "product",
  "active": true,
  "created": 1678833149,
  "default_price": null,
  "description": null,
  "images": [],
  "marketing_features": [],
  "livemode": false,
  "metadata": {},
  "name": "Gold Plan",
  "package_dimensions": null,
  "shippable": null,
  "statement_descriptor": null,
  "tax_code": null,
  "unit_label": null,
  "updated": 1678833149,
  "url": null
}
```

## Returns

Returns a product object if the call succeeded.

## Parameters

- `name` (string, required)
  The product’s name, meant to be displayable to the customer.

- `active` (boolean, optional)
  Whether the product is currently available for purchase. Defaults to `true`.

- [`default_price_data`](https://docs.stripe.com/api/products/create.md?query=default_price_data) (object, optional)
  Data used to generate a new [Price](https://docs.stripe.com/docs/api/prices.md) object. This Price will be set as the default price for this product.

- `description` (string, optional)
  The product’s description, meant to be displayable to the customer. Use this field to optionally store a long form explanation of the product being sold for your own rendering purposes.

- `id` (string, optional)
  An identifier will be randomly generated by Stripe. You can optionally override this ID, but the ID must be unique across all products in your Stripe account.

- `images` (array of strings, optional)
  A list of up to 8 URLs of images for this product, meant to be displayable to the customer.

- [`marketing_features`](https://docs.stripe.com/api/products/create.md?query=marketing_features) (array of objects, optional)
  A list of up to 15 marketing features for this product. These are displayed in [pricing tables](https://docs.stripe.com/docs/payments/checkout/pricing-table.md).

- `metadata` (object, optional)
  Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

- [`package_dimensions`](https://docs.stripe.com/api/products/create.md?query=package_dimensions) (object, optional)
  The dimensions of this product for shipping purposes.

- `shippable` (boolean, optional)
  Whether this product is shipped (i.e., physical goods).

- `statement_descriptor` (string, optional)
  An arbitrary string to be displayed on your customer’s credit card or bank statement. While most banks display this information consistently, some may display it incorrectly or not at all.

  This may be up to 22 characters. The statement description may not include `<`, `>`, `\`, `"`, `'` characters, and will appear on your customer’s statement in capital letters. Non-ASCII characters are automatically stripped. It must contain at least one letter. Only used for subscription payments.

- `tax_code` (string, recommended if calculating taxes)
  A [tax code](https://docs.stripe.com/docs/tax/tax-categories.md) ID.

- `unit_label` (string, optional)
  A label that represents units of this product. When set, this will be included in customers’ receipts, invoices, Checkout, and the customer portal.

- `url` (string, optional)
  A URL of a publicly-accessible webpage for this product.
